<?xml version="1.0" encoding="UTF-8"?>
<?oasis-xml-catalog catalog="catalog.xml"?>
<teiCorpus xmlns:xi="http://www.w3.org/2001/XInclude" xmlns="http://www.tei-c.org/ns/1.0">
<xi:include href="NKJP_header-main.xml"/>
<TEI>
<xi:include href="header.xml"/>
<text xml:id="txt_text" xml:lang="pl">
<body xml:id="txt_body">
<div xml:id="txt_1-div">
<ab xml:id="txt_1.1-ab">Optymalizacja - metoda wyznaczania najlepszego ( optymalnego ) rozwiązania ( poszukiwanie ekstremum funkcji ) z punktu widzenia określonego kryterium ( wskaźnika ) jakości ( np . kosztu , drogi , wydajności ) .</ab>
<ab xml:id="txt_1.2-ab">Stosuje się optymalizacje jedno i wielokryterialne .</ab>
<ab xml:id="txt_1.3-ab">Optymalizacja wielokryterialna występuje w wielu różnych dziedzinach : w projektowania produktu i procesu produkcji , finansów , projektowaniu samolotów , w przemyśle chemicznym , projektowanie samochodu , wszędzie tam gdzie optymalne decyzje muszą być podjęte w obecności kompromisów pomiędzy dwoma lub więcej sprzecznymi celami .</ab>
<ab xml:id="txt_1.4-ab">Przykładem wielokryterialnej optymalizacji jest maksymalizacja zysków i minimalizacji kosztów produktu , maksymalizacja wydajności przy ograniczaniu zużycia paliwa pojazdu , czy też obniżenie masy urządzenia przy jednoczesnej maksymalizacji wytrzymałości poszczególnych jego komponentów .</ab>
<ab xml:id="txt_1.5-ab">Optymalizacja jest także zdefiniowana w badaniach operacyjnych , gdzie wykorzystywana jest do rozwiązywania praktycznych problemów ( np . ekonomicznych ) .</ab>
<ab xml:id="txt_1.6-ab">W programowaniu komputerowym optymalizacja oznacza sposoby i metody poprawy kodu programu komputerowego by czas jego działania oraz wielkość pamięci potrzebnej do jego uruchomienia były jak najmniejsze .</ab>
</div>
</body>
</text>
</TEI>
</teiCorpus>
